#32631 closed task (fixed)

Chutney Travis: Use the latest dependencies

Reported by: teor Owned by: teor
Priority: Medium Milestone:
Component: Core Tor/Chutney Version:
Severity: Normal Keywords:
Cc: teor Actual Points: 0.4
Parent ID: #32630 Points: 0.5
Reviewer: nickm Sponsor:

Description

Use the latest dependencies in Chutney Travis:

  • Linux and macOS images
  • tor versions
  • python versions

Child Tickets

Change History (6)

comment:1 Changed 11 months ago by teor

Actual Points: 0.10.3
Status: assignedneeds_revision

I have two branches, ticket32631 and ticket 32631-pref-python3.

I just need to check that they pass CI, and are using the correct python versions.

I'm deferring switching to bionic right now, because it triggers #32630.

comment:2 Changed 11 months ago by teor

Actual Points: 0.30.4
Reviewer: nickm
Status: needs_revisionneeds_review

Here's my PR:

It updates chutney's CI to use:

  • Tor 0.4.2 (and label 0.4.1 as stable)
  • Latest Travis macOS image
  • Latest python versions (including python 2)

It updates chutney to:

  • Prefer python3 when the user has not set $PYTHON

comment:3 Changed 11 months ago by teor

(Yes, there are a lot of tor and python versions there, but we only run chutney's CI occasionally, and it's fast, because it doesn't compile tor.)

comment:4 Changed 11 months ago by teor

Reviewer: nickm

comment:5 Changed 11 months ago by asn

Reviewer: dgoulet

comment:6 Changed 10 months ago by teor

Parent ID: #32630
Resolution: fixed
Reviewer: dgouletnickm
Status: needs_reviewclosed

We needed these fixes for #32630, so nickm can review them in #32630.

Note: See TracTickets for help on using tickets.